#include "mex.h"

#ifndef HAVE_OCTAVE
	#include "matrix.h"
#endif

#include <iostream>
void Print( mwSize n, const mwSize* ext )
{
	std::cout << "Address: " << ext << std::endl;
	const mwSize* const end = ext + n;
	while( end != ext )
		std::cout << *ext++ << ' ';
	std::cout << std::endl;
}

void mexFunction(
	  int nlhs, mxArray*	plhs[]
	, int nrhs, const mxArray* prhs[]
)
{
	const mwSize		NDims = mxGetNumberOfDimensions( prhs[ 0 ] );

	const mwSize* const 	Extents = mxGetDimensions( prhs[ 0 ] );

	Print( NDims, Extents );

	const double*	x = mxGetPr( prhs[ 0 ] );

	Print( NDims, Extents );

}
